Subject: Re: Reset by checkout?

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Jun 2014 14:31:59 -0700

Junio C Hamano <[email-masked]> writes:

> Atsushi Nakagawa <[email-masked]> writes:
>
>> One of the more underrepresented command I use in git use on a regular
>> basis is this "reset by checkout".  It's what's currently achieved by
>> this convoluted expression:
>>
>>   `git checkout -B <current-branch-name> <tree-ish>`
>>
>> This is such an useful notion that I can fathom why there isn't a better,
>> first-tier, alternative.
>
> Hmph.  checkout *is* the first-tier way to do this.  Why do you even
> want to do it via "reset"?  Is it because you learned "reset" first
> and then learned how "checkout" with various modes all do useful
> things?

Ahh, the "branch to be checked out" being the "current" branch is
indeed strange.  That is what "reset --keep" was invented for.

I use "git checkout -B <something-else> <commit>" all the time, and
somehow I thought that was what you were talking about.

Sorry for the noise.